<!DOCTYPE html>
<html>
<head>
<style>
.popup .overlay{
   position:fixed;
   top:0px;
   left:0px;
   width:100vw;
   height:100vh;
   background:rgba(0,0,0,0.7);
   z-index:1;
   display:none;
}

.popup .content{
     position:absolute;
     top:50%;
     left:50%;
     transform:translate(-50%,-50%) scale(0);
     background:#fff;
     width:450px;
      height:220px;
      z-index:2;
      text-align:center;
      padding:20px;
       box-sizing:border-box;
}

.popup .close-btn{
      cursor :pointer;
      position:absolute;
      right:20px;
      top:20px;
      width:30px;
      height:30px;
      background:#222;
      color:#fff;
      font-size:25px;
      font-weight:600;
      line-height:30px;
      text-align:center;
      border-radius:50%;
}

.popup.active .overlay{
    display:block;
}

.popup.active .content{

    transition:all 300ms ease-in-out;
    transform:translate(-50%,-50%) scale(1);
}

   
    body {
      margin: 30px;
    }

    h1 {
      font-family: sans-serif;
      color: #666;
    }

    #container {
      width: 500px;
      height: 375px;
      border: 10px #333 solid;
    }

    #videoElement {
      width: 500px;
      height: 375px;
      background-color: #666;
    }
    
    button {
      margin-top: 20px;
      font-size: 12px;
      font-weight: bold;
      padding: 5px;
      background-color: white;
      border: 5px solid black;
    }

    button:hover {
      background-color: yellow;
    }

    button:active {
      background-color: yellowgreen;
    }
  </style>
</head>
<body>
<div class = "popup" id="popup-1">
   <div class="overlay"></div>
    <div class="content">
     <div class="close-btn"  onclick="togglePopup()" >&times;</div>
      <h1>Hold your Government Id proof</h1>
        <u>
            <li>Drivers License</li>
            <li>Passport</li>
             <li>Adharcard</li>
             <li>Pan card</li>
           </ul>
</div>
</div>
<button onclick="togglePopup()">Read Before Capturing</button>
<div  class="video-wrap">
<video id="video" playsinline autoplay></video>
</div>
<div class="controller">
   <button id="snap">Capture</button>
</div>
<canvas id="canvas" width="640" height="480"></canvas>
<button id="stop">Stop Video</button></div>
<script>
 'use strict';

    function togglePopup(){
      document.getElementById("popup-1").classList.toggle("active");
}   
    const video=document.getElementById('video');
    
     const canvas=document.getElementById('canvas');
      const snap=document.getElementById('snap');
      const errorMsgElement=document.getElementById('span#ErrorMsg');
 
const constraints = {
        audio:true,
        video:{
                     width:720, height:500
        }
       };

async function init(){
       try{
                const stream = await navigator.mediaDevices.getUserMedia(constraints);
                handelSuccess(stream);
          }
     catch(e){
          errorMsgElement.innerHTML = `navigator.getUserMedia.error:${e.toString()}`;
      } 
}
   function handelSuccess(stream){
           window.stream = stream;
           video.srcObject = stream;
       }
init();
var context = canvas.getContext('2d');
snap.addEventListener("click",function(){
    context.drawImage(video,0,0,640,480)
})
    stopVideo.addEventListener("click", stop, false);

    function stop(e) {
      var stream = video.srcObject;
      var tracks = stream.getTracks();

      for (var i = 0; i < tracks.length; i++) {
        var track = tracks[i];
        track.stop();
      }

      video.srcObject = null;
    }
  </script>
</body>
</html>